%global         upstream_name LogCentral

Name:           LogService
Version:        2.8.0
Release:        8%{?dist}
Summary:        DIET middleware logging service

Group:          System Environment/Daemons
License:        CeCILL
URL:            http://graal.ens-lyon.fr/DIET/diet-tools/logservice
Source0:        %{name}-%{version}.tar.gz
Source1:        %{upstream_name}.config
Source2:        %{upstream_name}.service
Patch0:         0001-fix-FTBFS-with-Werror-format-security.patch

BuildRequires:  cmake >= 2.6.3
BuildRequires:  chrpath
BuildRequires:  omniORB-devel >= 4.1.2
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  python-docutils
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
DIET grid middleware logging service

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .werror
# disable timestamp in Doxygen page footers to avoid conflict between
# multiarch -devel packages (this flag defaults to NO in Fedora doxygen)
sed -i '/^HTML_TIMESTAMP/d' Cmake/Doxyfile.in


%build
%cmake -DLOGSERVICE_BUILD_DOXYGEN:BOOL=ON .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# move installed docs to include them via %%doc magic
rm -rf __tmp_doc ; mkdir __tmp_doc
mv %{buildroot}%{_docdir}/%{name}/html __tmp_doc

mkdir -p %{buildroot}/lib/systemd/system/
install -m 0644 %{SOURCE2} %{buildroot}/lib/systemd/system/
# install service configuration file
install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{upstream_name}
chrpath --delete %{buildroot}%{_bindir}/*
chrpath --delete %{buildroot}%{_libdir}/*


%pre
getent group %{upstream_name} >/dev/null || groupadd -r %{upstream_name}
getent passwd %{upstream_name} >/dev/null || \
useradd -r -g %{upstream_name} -d %{_sharedstatedir}/%{upstream_name} -s /sbin/nologin \
        -c "LogCentral Log Server for distributed applications" %{upstream_name}
exit 0 


%post
%systemd_post %{upstream_name}.service
/sbin/ldconfig

%preun
%systemd_preun %{upstream_name}.service

%postun
%systemd_postun %{upstream_name}.service
/sbin/ldconfig


%files
%doc README LICENCE_eng LICENCE_fr ChangeLog
/lib/systemd/system/%{upstream_name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{upstream_name}
%{_bindir}/logForwarder
%{_bindir}/LogCentral
%{_bindir}/testComponent
%{_bindir}/DIETtestTool
%{_libdir}/libLogForwarderUtils.so.%{version}
%{_libdir}/libLogServiceToolBase.so.%{version}
%{_libdir}/libLogServiceComponentBase.so.%{version}
%{_mandir}/man1/*

%files devel
%{_includedir}/*.hh
%{_libdir}/libLogForwarderUtils.so
%{_libdir}/libLogServiceToolBase.so
%{_libdir}/libLogServiceComponentBase.so
%doc __tmp_doc/html
%{_mandir}/man3/*

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-6
- Rebuilt against OmniORB 4.2
- Use macroized systemd scriptlets
- Drop SysV initscript
- fix FTBFS with -Werror=format-security

* Sun Dec 15 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 2.8.0-5
- Fix duplicate documentation (#1001301) by using only %%doc magic
- Add BR graphviz (for images in doxygen docs)
- Use sed to disable HTML_TIMESTAMP setting in Doxyfile.in
- Fix URL tags (pages have moved)
- Add ChangeLog to %%doc
- Remove empty %%doc lines
- Remove obsolete BuildRoot definition/cleaning
- Fix -devel package Group tag to "Development/Libraries"
- Add %%?_isa to -devel base package dep
- Remove %%defattr

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Oct 31 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-1
- upstream 2.8.0

* Wed May 11 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.7.0-1
- first packaging

